Scriptname FreeStyleMagicSlashHitScript extends activemagiceffect  

import Utility

Int index

Float Damage

Sound Property FreeStyleFXFreeStyleSlashHit01 Auto
Sound Property FreeStyleFXFreeStyleSlashHit02 Auto
Sound Property FreeStyleFXFreeStyleSlashHit03 Auto
Sound Property FreeStyleFXFreeStyleSlashHit04 Auto

VisualEffect Property FreeStyleVisualSlashHit01  Auto
VisualEffect Property FreeStyleVisualSlashHit02 Auto
VisualEffect Property FreeStyleVisualSlashHit03 Auto
VisualEffect Property FreeStyleVisualSlashHit04 Auto
VisualEffect Property FreeStyleVisualSlashHit05 Auto
VisualEffect Property FreeStyleVisualSlashHit06 Auto
VisualEffect Property FreeStyleVisualSlashHit07 Auto
VisualEffect Property FreeStyleVisualSlashHit08 Auto

Faction Property faction01  Auto  

GlobalVariable Property FreeStyleDamageRate  Auto  

Event OnEffectStart(Actor Target, Actor Caster)

	Actor PlayerActor = Game.GetPlayer()

	if !Target.IsInFaction(faction01) && !Target.IsDead()

		if !Target.IsHostileToActor(PlayerActor)
			return
		endif

		if Caster.getav("oneHanded") as float > Caster.getav("twoHanded") as float
			Damage =  Caster.getav("oneHanded") as float
		else
			Damage =  Caster.getav("twoHanded") as float
		endif

		Damage *= 0.20
		Damage *= FreeStyleDamageRate.getValue()

		Target.DamageAv("Health", Damage)

		index = RandomInt(1,4)

		if index == 1
			FreeStyleFXFreeStyleSlashHit01.play(Caster)  
		elseif index == 2
			FreeStyleFXFreeStyleSlashHit02.play(Caster)
		elseif index == 3
			FreeStyleFXFreeStyleSlashHit03.play(Caster)
		else
			FreeStyleFXFreeStyleSlashHit04.play(Caster)
		endif

		index = RandomInt(1,8)

		if index == 1
			FreeStyleVisualSlashHit01.play(Target,0.15)
		elseif index == 2
			FreeStyleVisualSlashHit02.play(Target,0.15)
		elseif index == 3
			FreeStyleVisualSlashHit03.play(Target,0.15)
		elseif index == 4
			FreeStyleVisualSlashHit04.play(Target,0.15)
		elseif index == 5
			FreeStyleVisualSlashHit05.play(Target,0.15)
		elseif index == 6
			FreeStyleVisualSlashHit06.play(Target,0.15)
		elseif index == 7
			FreeStyleVisualSlashHit07.play(Target,0.15)
		else
			FreeStyleVisualSlashHit08.play(Target,0.15)
		endif

		Target.StartCombat(Caster)

	endif

EndEvent