Scriptname TempestMagicTempestPierceScript extends activemagiceffect  

import Utility

int Fx
Int indexSound
Int indexFinish

Spell Property TempestSpellCyclonePierce Auto
Spell Property TempestSpellCycloneFinish Auto

Sound Property TempestSoundTempestPierce Auto
Sound Property TempestSoundTempestEnd Auto

VisualEffect Property TempestVisualEffectTempestPierce Auto
VisualEffect Property TempestVisualEffectCycloneFinish Auto

GlobalVariable Property TempestDelay Auto
GlobalVariable Property TempestTrigger Auto
GlobalVariable Property TempestShakeCamera  Auto
GlobalVariable Property TempestShakeXBOX  Auto

Event OnEffectStart(Actor Target, Actor Caster)

	if TempestTrigger.getValue() == 2

		TempestSoundTempestPierce.play(Caster)
		TempestVisualEffectTempestPierce.play(Target,2)

		if TempestShakeXBOX.getValue() == 1
			Game.ShakeController(0.1, 0.1, 1.5)
		endif

		TempestSpellCyclonePierce.Cast(Caster)
		
	endif

EndEvent

Event OnEffectFinish(Actor Target, Actor Caster)

	TempestVisualEffectCycloneFinish.play(Target,0.6)

	TempestSoundTempestEnd.play(Caster)
	TempestSpellCycloneFinish.Cast(Caster)

	if TempestShakeCamera.getValue() == 1
		Game.ShakeCamera(Caster,1.0,0.5)
	endif

	if TempestShakeXBOX.getValue() == 1
		Game.ShakeController(0.5, 0.5, 0.5)
	endif

	TempestTrigger.setValue(0)

	Debug.SendAnimationEvent(Caster, "ShoutStop")

endEvent