Scriptname TempestMagicTempestScript extends activemagiceffect  

import Math
import Utility

float xMove
float yMove
float rXMove
float rYMove

; initial position vector
float xPos
float yPos
float zPos

float zAng 

int Fx
Int index
;Int indexDimension
Int indexSound
Int indexBullet

float ftimeStart
float ftimeEnd
float ftimeTempest

Spell Property TempestSpellCycloneHit Auto
Spell Property TempestSpellTempestPierce Auto
;Spell Property TempestSpellDimension01 Auto
;Spell Property TempestSpellDimension02 Auto
;Spell Property TempestSpellDimension03 Auto
;Spell Property TempestSpellDimension04 Auto

Sound Property TempestSoundFemale01 Auto
Sound Property TempestSoundFemale02 Auto
Sound Property TempestSoundFemale03 Auto
Sound Property TempestSoundFemale04 Auto
Sound Property TempestSoundFemale05 Auto

Sound Property TempestSoundMale01 Auto
Sound Property TempestSoundMale02 Auto
Sound Property TempestSoundMale03 Auto
Sound Property TempestSoundMale04 Auto
Sound Property TempestSoundMale05 Auto

Sound Property TempestSoundTempestBegin Auto

Perk Property TempestPerkResetFallDamage  Auto

Activator Property TempestActivatorAirWalk  Auto
ObjectReference AirWalk

Activator Property TempestActivatorSlashDimension  Auto
ObjectReference SlashDimension

VisualEffect Property TempestVisualEffectSlash  Auto
;VisualEffect Property TempestVisualEffectSlashDimension  Auto

Message Property TempestMessageStamina  Auto  

GlobalVariable Property TempestDelay Auto
GlobalVariable Property TempestTrigger Auto
GlobalVariable Property TempestShakeCamera  Auto
GlobalVariable Property TempestShakeXBOX  Auto
GlobalVariable Property TempestRequireStamina  Auto

Event OnEffectStart(Actor Target, Actor Caster)

	if TempestTrigger.getValue() == 0 && Caster.GetAVPercentage("Stamina") >= TempestRequireStamina.getValue()

		Caster.damageAV("Stamina", 9999.0)

		Actor PlayerActor =  Game.GetPlayer()
		ActorBase PlayerBase = Caster.GetBaseObject() as ActorBase

		Caster.AddPerk(TempestPerkResetFallDamage)

		TempestTrigger.setValue(1)

			zAng = Caster.getAngleZ()

			yMove = 280
			xMove = 0

			rXMove = (math.Sin(zAng) * yMove)+(math.Cos(zAng) * xMove)
			rYMove = (math.Cos(zAng) * yMove)-(math.Sin(zAng) * xMove)

			xPos = rXMove
			yPos = rYMove

		Airwalk = Caster.PlaceAtMe(TempestActivatorAirwalk)

		Airwalk.MoveTo(Caster,xPos,yPos,0,True)
		Airwalk.setAngle(0,0,0)

		Airwalk.Activate(PlayerActor)

		wait(0.01)

		Debug.SendAnimationEvent(Caster, "ShoutStart")
		Debug.SendAnimationEvent(Caster, "ShoutSprintShortStart")

		Caster.RemovePerk(TempestPerkResetFallDamage)

		if PlayerBase.GetSex() == 0
			indexSound = RandomInt(1,5)

			if indexSound == 1
				TempestSoundMale01.play(Caster)  
			elseif indexSound == 2
				TempestSoundMale02.play(Caster)
			elseif indexSound == 3
				TempestSoundMale03.play(Caster)
			elseif indexSound == 4
				TempestSoundMale04.play(Caster)
			else
				TempestSoundMale05.play(Caster)
			endif
		else
			indexSound = RandomInt(1,5)

			if indexSound == 1
				TempestSoundFemale01.play(Caster)  
			elseif indexSound == 2
				TempestSoundFemale02.play(Caster)
			elseif indexSound == 3
				TempestSoundFemale03.play(Caster)
			elseif indexSound == 4
				TempestSoundFemale04.play(Caster)
			else
				TempestSoundFemale05.play(Caster)
			endif
		endif

		TempestVisualEffectSlash.play(Caster,4.33)
;		TempestVisualEffectSlashDimension.play(Caster,6.20)

		ftimeStart = GetCurrentRealTime()
		ftimeEnd = GetCurrentRealTime()

		While(ftimeStart + 0.3 > ftimeEnd)
			ftimeEnd = GetCurrentRealTime()
		endWhile

		Fx = TempestSoundTempestBegin.play(Caster)
		index = 0
;		indexDimension = 0

		zAng = Caster.getAngleZ()

		yMove = 144
		xMove = 0

		rXMove = (math.Sin(zAng) * yMove)+(math.Cos(zAng) * xMove)
		rYMove = (math.Cos(zAng) * yMove)-(math.Sin(zAng) * xMove)

		xPos = rXMove
		yPos = rYMove
		zPos = 108

		if TempestShakeCamera.getValue() == 1
			Game.ShakeCamera(Caster,0.5,4.0)
		endif

		While(TempestTrigger.getValue() == 1 && ftimeStart + 4.03 > ftimeEnd)

			ftimeEnd = GetCurrentRealTime()

			if ftimeTempest + TempestDelay.getValue() < ftimeEnd

;				indexDimension += 1
;				indexDimension = indexDimension % 4

;				if indexDimension == 1
;					TempestSpellDimension01.Cast(Caster)
;				elseif indexDimension == 2
;					TempestSpellDimension03.Cast(Caster)
;				elseif indexDimension == 3
;					TempestSpellDimension02.Cast(Caster)
;				else
;					TempestSpellDimension04.Cast(Caster)
;				endif

				TempestSpellCycloneHit.Cast(Caster)
				if TempestShakeXBOX.getValue() == 1
					Game.ShakeController(0.25, 0.25, 0.3)
				endif

				ftimeTempest = GetCurrentRealTime()

			endif

			if PlayerBase.GetSex() == 0
				indexSound = RandomInt(1,24)

				if indexSound == 1
					TempestSoundMale01.play(Caster)  
				elseif indexSound == 2
					TempestSoundMale02.play(Caster)
				elseif indexSound == 3
					TempestSoundMale03.play(Caster)
				elseif indexSound == 4
					TempestSoundMale04.play(Caster)
				elseif indexSound == 5
					TempestSoundMale05.play(Caster)
				else
					;none Voice
				endif
			else
				indexSound = RandomInt(1,24)

				if indexSound == 1
					TempestSoundFemale01.play(Caster)  
				elseif indexSound == 2
					TempestSoundFemale02.play(Caster)
				elseif indexSound == 3
					TempestSoundFemale03.play(Caster)
				elseif indexSound == 4
					TempestSoundFemale04.play(Caster)
				elseif indexSound == 5
					TempestSoundFemale05.play(Caster)
				else
					;none Voice
				endif
			endif

			if indexBullet <= 15
		
				SlashDimension= PlayerActor.PlaceAtMe(TempestActivatorSlashDimension)

				SlashDimension.MoveTo(Caster,xPos,yPos,zPos,True)
				SlashDimension.setAngle(RandomFloat(-180.0,180.0),RandomFloat(-180.0,180.0),RandomFloat(-180.0,180.0))

				SlashDimension.Activate(PlayerActor)

				indexBullet += 1

			endif 

;			wait(TempestDelay.getValue())

		endWhile

		if TempestTrigger.getValue() == 1
			TempestTrigger.setValue(2)
			TempestSpellTempestPierce.Cast(Caster)

			Sound.StopInstance(Fx)

		endif

	else

		TempestMessageStamina.Show(3.0)

	endif

EndEvent

Event OnEffectFinish(Actor Target, Actor Caster)

;	if TempestTrigger.getValue() == 1
;		TempestTrigger.setValue(2)
;		TempestSpellTempestPierce.Cast(Caster)

;		Sound.StopInstance(Fx)

;	endif

endEvent